<?php
/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

$opc_rev_serializado = $this->sessao_nativa->get('_opcoes_rev');

$opc_rev = ($opc_rev_serializado !== "") ? unserialize($opc_rev_serializado): array();

//var_dump($opc_rev);


?>

<a href="<?= $this->config->config['base_url_painel'] ?>home.php" style="font-size: 8pt;"> << Retorna a pagina inicial</a>

<?php if ($this->sessao_nativa->get('adminlevel') == '1'): ?>
    <div class="row">
        <div class="container container-fluid">
            <h6>Planos disponiveis pra compra.</h6>
            <div id="lista-planos-compra"></div>
        </div>
    </div>  
    <div class="row">
        <div class="container container-fluid">
            <h6>Historio de Planos e Transações</h6>
            <div id="tabela-hist-planos" style="overflow: auto; height: 200px"></div>
        </div>
    </div>
    <div class="row">
        <hr/> 
    </div>
<?php endif; ?>

<?php if (in_array("10", $opc_rev) || $this->sessao_nativa->get('adminlevel') == '0'): ?>

<div class="row">
        <div class="col-sm-4">
            <?php $this->load->view('Planos/planos.add.php') ?>
        </div>
        <br/>
        <div class="col-sm-8">
            <div class="panel panel-default" style="font-size: 8pt">
                <!-- Default panel contents -->
                <div class="panel-heading">Planos disponíveis pra minhas revendas</div>
                <div id="tab-planos-minhas-rev" class=""></div>
            </div>
        </div>
</div>

<?php endif; ?>

<script>
    $(document).ready(function () {

        // carregando lista de planos pra compra
        $('#lista-planos-compra').load('<?= base_url('index.php/planos/planos_compra') ?>', function () {
            
            $('.btn-compra').janelaCentro({
                w: '400',
                h: '600'
            });
            
        });

        // carregando a tabela com o historico de planos

        $('#tabela-hist-planos').load('<?= base_url('index.php/planos/carrega_historico_planos') ?>');

        // carrega tabela planos minhas revendas
        $('#tab-planos-minhas-rev').load('<?= base_url('index.php/planos/planos_revendas_tab') ?>', function () {
            $('.edt').on('click', this, function () {
                var id = $(this).attr('edt-id');

                $.ajax({
                    type: "GET",
                    url: '<?= base_url('index.php/planos/carrega_um'); ?>/' + id,
                    dataType: 'json'
                })
                        .done(function (plano) {
                            // data: {desc_plano: desc_plano, qtd_login: qtd_login, valor_cobrado: valor_cobrado}, 
                            if (plano.id) {
                                $('#id_plano').val(plano.id);
                                $('#desc_plano').val(plano.desc_plano);
                                $('#qtd_login').val(plano.qtd_login);
                                $('#valor_cobrado').val(parseInt(plano.valor_cobrado));
                            } else {
                                alert('Erro ao carregar dados!');
                            }
                        });

            });

            $('.del').on('click', this, function () {
            
                var id = $(this).attr('del-id');

                var confirma = window.confirm('Deseja mesmo executar esta ação?');

                if (confirma === false) {
                    return false;
                }

                $.ajax({
                    type: "GET",
                    url: '<?= base_url('index.php/planos/delete_um'); ?>/' + id,
                    dataType: 'json'
                })
                        .done(function (retorno) {
                            if (retorno.sucesso) {
                                
                                alert(retorno.sucesso);
                                window.location.reload();
                                
                            }
                            if (retorno.erro) {
                                
                                alert(retorno.erro);
                                
                            }
                        });

            });
        });
    });
</script>
